import { AdapterAbstract } from './Abstract';
import { IDataObject, ITableObject } from '../types';
export declare abstract class AdapterDatabase extends AdapterAbstract {
    abstract getOne(tableConfig: ITableObject, hashKey: string, rangeKey?: string): Promise<IDataObject>;
    abstract getOneByIndex(tableConfig: ITableObject, index: string, hashKey: string, rangeKey?: string): Promise<IDataObject>;
    abstract getAll(tableConfig: ITableObject, hashKey: string): Promise<IDataObject[]>;
    abstract insert(tableConfig: ITableObject, object: object): Promise<IDataObject>;
    abstract update(tableConfig: ITableObject, attributesToUpdate: object, hashKey: string, rangeKey?: string): Promise<IDataObject>;
    abstract delete(tableConfig: ITableObject, hashKey: string, rangeKey?: string): Promise<IDataObject>;
}
