import { Data } from './Data';
export declare abstract class Validation<I extends object = {}> extends Data<I> {
    /**
     * Runs before any validations are run
     */
    protected preValidate(): void;
    /**
     * Runs after successful validation ran
     */
    protected postValidate(): void;
    /**
     * Runs the validation of each data class attributes and
     * throw an exception if one of the attribute is not valid.
     */
    validate(): this;
    protected getClassNameForErrorMessage(): string;
}
