import * as Request from 'request-promise';
export interface IHttpClientConfig {
    domain: string;
}
export declare class HttpClient {
    protected config: IHttpClientConfig;
    protected rawResponse: {
        statusCode: number;
        body: string;
    };
    constructor(config: IHttpClientConfig);
    get<I extends object = {}>(path: string, payload?: object): Promise<I>;
    post<I extends object = {}>(path: string, payload?: object): Promise<I>;
    put<I extends object = {}>(path: string, payload?: object): Promise<I>;
    delete<I extends object = {}>(path: string, payload?: object): Promise<I>;
    protected serializePayload(payload: object): string;
    protected deserializePayload(payload: string): object;
    protected deserializeExceptionMessage(response: any): string;
    protected triggerException(response: any): void;
    protected extendRawRequest(rawRequest: Request.UrlOptions): Request.UrlOptions;
    protected getTimeout(): number;
    protected getHeader(): object;
    protected getUrl(path: string): string;
    protected request(method: string, path: string, payload?: object): Promise<object>;
}
