"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
var Injector;
(function (Injector) {
    const injector = new Map();
    function get(key) {
        if (!injector.has(key)) {
            throw utils_1.Exception.internal(`injector:notFound:${key}`);
        }
        return injector.get(key);
    }
    Injector.get = get;
    function set(key, ref) {
        if (injector.has(key)) {
            throw utils_1.Exception.internal(`injector:alreadySet:${key}`);
        }
        injector.set(key, ref);
        return Injector;
    }
    Injector.set = set;
    function has(key) {
        return injector.has(key);
    }
    Injector.has = has;
})(Injector = exports.Injector || (exports.Injector = {}));
//# sourceMappingURL=index.js.map